Bug 15670 - Rename "Cancel" to "Cancel hold" when checking in a waiting item
Summary: Rename "Cancel" to "Cancel hold" when checking in a waiting item
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 14464
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 14:16 UTC by Katrin Fischer
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15670 - Rename "Cancel" to "Cancel hold" when checking in a waiting item (2.38 KB, patch)
2016-02-11 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15670 - Rename "Cancel" to "Cancel hold" when checking in a waiting item (2.52 KB, patch)
2016-02-11 17:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15670 - Rename "Cancel" to "Cancel hold" when checking in a waiting item (2.53 KB, patch)
2016-02-12 07:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-01-26 14:16:43 UTC
Bug 14464 adds a new button when checking in an item waiting on the holds shelf. The button is labelled "Cancel" and will cancel the hold when clicked.

As cancel usually equates to "do nothing" this is a bit confusing, especially in translation (abbrechen vs. stornieren). I'd suggest to rename it to be more explicit: "Cancel hold".

This might also avoid some unpleasant surprises :)
Comment 1 HB-NEKLS 2016-01-27 01:54:02 UTC
+! on this. It will definitely cause some confusion in our system, too, as it currently stands.
Comment 2 Owen Leonard 2016-02-11 14:22:42 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-02-11 17:43:39 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2016-02-12 07:23:07 UTC
Created attachment 47949 [details] [review]
Bug 15670 - Rename "Cancel" to "Cancel hold" when checking in a waiting item

When checking in an on-hold item which is waiting, the "Cancel" button
cancels the hold, so it should say so. This patch changes the text.

This patch also moves the 'cancel hold' button to the middle, on the
theory that buttons on the left should default to 'confirm' and buttons
on the right should generally imply 'cancel'--as in 'do nothing.' Moving
it to the middle seems like a good place to put it where users will have
to think about clicking it.

To test:

1. Find an hold which has been made 'waiting,' or check in an confirm a
   pending hold at your library.
2. Check in that item again and verify that the 'Hold found' dialog
   contains a 'Cancel hold' button which works to cancel the waiting
   hold.
3. Repeat the process and confirm that the functionality of the other
   buttons is unchanged.

Followed test plan, works as expected.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Brendan Gallagher 2016-02-23 22:49:25 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 6 Julian Maurice 2016-03-07 09:01:27 UTC
Patch pushed to stable, will be in 3.22.5